OpenStack Compute (Nova)

(xenapi driver)instance creation fails if no guest agent is avaiable for admin password configuration

Reported by Armando Migliaccio on 2012-01-30
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Armando Migliaccio

Bug Description

I get this stacktrace

Jan 30 16:19:14 os-vpx-FE-CD-8F-A8-21-0C nova-compute ERROR TIMEOUT: The call to key_init timed out. VM id=c36526be-11f8-4f7e-9279-9f3abcc36e97; args={'path': '', 'dom_id': '39', 'id': 'f9e3a09d-1b9a-49b8-9b5c-05e76e55e335', 'pub': '88750319460909698028270102021256'}
Jan 30 16:19:14 os-vpx-FE-CD-8F-A8-21-0C nova-compute ERROR Failed to exchange keys: {'message': 'TIMEOUT: No response from agent within 30 seconds.', 'returncode': 'timeout'}
Jan 30 16:19:14 os-vpx-FE-CD-8F-A8-21-0C nova-compute ERROR Instance c36526be-11f8-4f7e-9279-9f3abcc36e97 failed to spawn
(nova.compute.manager): TRACE: Traceback (most recent call last):
(nova.compute.manager): TRACE: File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 516, in _spawn
(nova.compute.manager): TRACE: network_info, block_device_info)
(nova.compute.manager): TRACE: File "/usr/lib/python2.6/site-packages/nova/virt/xenapi_conn.py", line 200, in spawn
(nova.compute.manager): TRACE: self._vmops.spawn(context, instance, image_meta, network_info)
(nova.compute.manager): TRACE: File "/usr/lib/python2.6/site-packages/nova/virt/xenapi/vmops.py", line 233, in spawn
(nova.compute.manager): TRACE: self._spawn(instance, vm_ref)
(nova.compute.manager): TRACE: File "/usr/lib/python2.6/site-packages/nova/virt/xenapi/vmops.py", line 500, in _spawn
(nova.compute.manager): TRACE: self._configure_instance(ctx, instance, vm_ref)
(nova.compute.manager): TRACE: File "/usr/lib/python2.6/site-packages/nova/virt/xenapi/vmops.py", line 440, in _configure_instance
(nova.compute.manager): TRACE: self.set_admin_password(instance, admin_password)
(nova.compute.manager): TRACE: File "/usr/lib/python2.6/site-packages/nova/virt/xenapi/vmops.py", line 949, in set_admin_password
(nova.compute.manager): TRACE: raise Exception(msg)
(nova.compute.manager): TRACE: Exception: Failed to exchange keys: {'message': 'TIMEOUT: No response from agent within 30 seconds.', 'returncode': 'timeout'}

if I try to spawn an instance whose image has no guest agent installed. This is because set_admin_password is bound to fail without an agent. Although configuring the admin password is highly desirable, putting the instance in error (in case the agent does not exist) feels a bit extreme. A better approach might be to skip password configuration if the agent is not installed, thus making the agent non-mandatory.

This occurs on Essex trunk.

Changed in nova:
assignee: nobody → Armando Migliaccio (armando-migliaccio)
status: New → In Progress

Reviewed: https://review.openstack.org/3551
Committed: http://github.com/openstack/nova/commit/437ad5af25f88788c8678d7dbd0c8826a145c884
Submitter: Jenkins
Branch: master

commit 437ad5af25f88788c8678d7dbd0c8826a145c884
Author: Armando Migliaccio <email address hidden>
Date: Mon Jan 30 18:21:30 2012 +0000

    Bug #923865: (xenapi driver)instance creation fails if no guest agent is avaiable for admin password configuration

    Ensure that if the guest agent is not installed, the admin password configuration is
    skipped. The fact that either one of 'version' or 'agent_build' is None (or both)
    should be an accurate indication of such a condition.

    Change-Id: I90213ce28a900a05d7357b8fa647ffbb0928571a

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
milestone: none → essex-4
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers